#include<bits/stdc++.h>
using namespace std;
vector<double>p(200000);
map<double, int>mapa;
int main()
{
  int n;
  cin >> n;
  for (int i=0; i<n; i++)
  {
    double b;
    int a;
    cin >> a >> b;
    p[i]=b;
    mapa[b]+=a;
  }
  sort(p.begin(),p.end(),greater<double>());
  double s=0;
  double pre;
  for (int i=0; i<n; i++)
  {
    double x=0;
    for (int j=0; j<=i; j++)
    {
      if (j!=0) pre=p[j-1];
      if (p[j]==pre) continue;
      x+=(p[i]/100)*mapa[p[j]];
    }
    if (s<x) s=x;
  }
  cout << fixed << showpoint << setprecision(4) << s;
  return 0;
}